Zum Hauptinhalt springen
GET
/
url-mappings
/
v3
/
url-mappings
cURL
curl --request GET \
  --url https://api.hubapi.com/url-mappings/v3/url-mappings \
  --header 'Authorization: Bearer <token>'
[
  {
    "cdnPurgeEmbargoTime": 123,
    "contentGroupId": 123,
    "created": 123,
    "createdById": 123,
    "deletedAt": 123,
    "destination": "<string>",
    "id": 123,
    "internallyCreated": true,
    "isActive": true,
    "isMatchFullUrl": true,
    "isMatchQueryString": true,
    "isOnlyAfterNotFound": true,
    "isPattern": true,
    "isProtocolAgnostic": true,
    "isRegex": true,
    "isTrailingSlashOptional": true,
    "label": "<string>",
    "lastUsedAt": 123,
    "name": "<string>",
    "note": "<string>",
    "portalId": 123,
    "precedence": 123,
    "redirectStyle": 123,
    "routePrefix": "<string>",
    "updated": 123,
    "updatedById": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Antwort

successful operation

cdnPurgeEmbargoTime
integer<int64>
erforderlich
contentGroupId
integer<int64>
erforderlich
cosObjectType
enum<string>
erforderlich
Verfügbare Optionen:
ACCESS_GROUP_MEMBERSHIP,
APP_PAGE,
BLOCK,
BLOG,
BLOG_AUTHOR,
BRAND_BUSINESS_UNIT,
BRAND_SETTINGS,
CONTACT_MEMBERSHIP,
CONTENT,
CONTENT_EMBED,
CONTENT_FOLDER,
CONTENT_GROUP,
CRM_OBJECT,
CRM_OBJECT_TYPE,
CUSTOM_WIDGET,
CUSTOMER_PORTAL,
DATA_QUERY,
DESIGN_FOLDER,
DOMAIN,
DOMAIN_SETTINGS,
EMAIL_ADDRESS,
EXTENSION_RESOURCE,
FILE,
FOLDER,
FOLLOW_ME,
FORM,
GLOBAL_CONTENT,
HUBDB_TABLE,
HUBDB_TABLE_ROW,
IMAGE,
JS_PROJECT_COMPONENT,
KNOWLEDGE_BASE,
KNOWLEDGE_CATEGORY,
KNOWLEDGE_CATEGORY_TRANSLATION,
KNOWLEDGE_HOMEPAGE_CATEGORY,
LAYOUT,
LAYOUT_SECTION,
LIST_MEMBERSHIP,
MARKETPLACE_LISTING,
PASSWORD_PROTECTED,
PAYMENT,
PERSONALIZATION_TOKEN,
PLACEMENT,
PROJECT,
QUOTE_TEMPLATE,
RAW_ASSET,
REDIRECT_URL,
SECTION,
SERVERLESS_FUNCTION,
SITE_MAP,
SITE_MENU,
SITE_SETTINGS,
SUBSCRIPTIONS_SETTINGS,
TAG,
THEME,
THEME_SETTINGS,
UNRESTRICTED_ACCESS,
URL_MAPPING,
VIDEO_PLAYER,
WIDGET,
WORKFLOW
created
integer<int64>
erforderlich
createdById
integer<int32>
erforderlich
deletedAt
integer<int64>
erforderlich
destination
string
erforderlich

The destination URL, where the target URL should be redirected if it matches the routePrefix.

id
integer<int64>
erforderlich

The unique ID of this URL redirect.

internallyCreated
boolean
erforderlich
isActive
boolean
erforderlich
isMatchFullUrl
boolean
erforderlich

Whether the routePrefix should match on the entire URL, including the domain.

isMatchQueryString
boolean
erforderlich

Whether the routePrefix should match on the entire URL path, including the query string.

isOnlyAfterNotFound
boolean
erforderlich

Whether the URL redirect mapping should apply only if a live page on the URL isn't found. If False, the URL redirect mapping will take precedence over any existing page.

isPattern
boolean
erforderlich

Whether the routePrefix should match based on pattern.

isProtocolAgnostic
boolean
erforderlich

Whether the routePrefix should match both HTTP and HTTPS protocols.

isRegex
boolean
erforderlich
isTrailingSlashOptional
boolean
erforderlich

Whether a trailing slash will be ignored.

label
string
erforderlich
lastUsedAt
integer<int64>
erforderlich
name
string
erforderlich
note
string
erforderlich
portalId
integer<int32>
erforderlich
precedence
integer<int32>
erforderlich

Used to prioritize URL redirection. If a given URL matches more than one redirect, the one with the lower precedence will be used.

redirectStyle
integer<int32>
erforderlich

The type of redirect to create. Options include: 301 (permanent), 302 (temporary), or 305 (proxy). Find more details here.

routePrefix
string
erforderlich

The target incoming URL, path, or pattern to match for redirection.

updated
integer<int64>
erforderlich
updatedById
integer<int32>
erforderlich
Last modified on May 26, 2026